//A halloween Pot

#declare PotColor = color srgb 0.5;
#declare PotNormal = normal{ bozo bump_size 1.1 scale 0.1 }
#declare PotFinish = finish{ specular 0.2 roughness 0.1 }
#declare PotTexture = texture{ pigment{ PotColor } normal{ PotNormal } finish{PotFinish} }

#declare MoulureRadius = 0.1;
#declare TopCutYCoord = 0.7;
#declare PotPawEnd = < 0, -0.9, -0.9 >;

#declare PotPaw = 	union{ 	cylinder{ 0, PotPawEnd , MoulureRadius }
							sphere{ PotPawEnd, MoulureRadius }
					}

#declare PotObject = 
union{
	difference{
		sphere{ 0, 0.975 }
		box{ <-2, TopCutYCoord,-2>,<2,2,2> }
	}
	torus{ 0.7, MoulureRadius sturm translate TopCutYCoord*y}
	#for( It, 0, 3 )
	    object{PotPaw rotate (-65 + It * 90) * y }
	#end
	texture{ PotTexture }
}